package com.fri.http.rest.config;


/**
 * Created by zhangdahui on 4/27/17.
 */
public class YXDefaultServerConfig {

    //AApplication Name
    //应用程序名称
    public static String APPLICATION_NAME = "Aquila - Application Performance Monitoring";

    //Http Server Spec
    //Http IP 与 port
    public static String SERVER_HOST = "0.0.0.0";
    public static int SERVER_PORT = 8283;
    public static int SERVER_MONITOR_PORT = 9999;


    //Servlet 路径
    public static String SERVER_REST_ROOT_PATH = "/rest";
    public static String SERVER_MONITOR_PATH = "/status";
    public static String SERVER_CTID_IDENTITY_PATH = "/ctid";


    //超时时间
    public static int SERVER_IDLE_TIMEOUT = 60000;
    public static int SERVER_STOP_TIMEOUT = 30000;

    //服务器线程数、服务器队列长度
    public static int SERVER_THREAD_POOL_COUNT =256;
    public static int SERVER_ACCEPT_QUEUE_SIZE = 100;

    //logging Spec
    //日志记录
    public static String LOGGING_OUTPUT_FOLDER = "/Users/killsmile/IDEA_JAVA/CTIDHTTPRestService/logs";  // 默认日志路径
    public static int LOGGING_ENTRY_BUFFER = 100;    // 日志内存缓冲区
    public static String LOGGING_NAME_HTTP_SERVER = "HttpServerLog";   //日志名称
    public static String LOGGING_NAME_REQUEST_SERVER = "RequestLog";   //日志名称
    public static String LOGGING_NAME_RESPONSE_SERVER = "ResponseLog";   //日志名称


    public static int LOGGING_FILE_SINGLE_SIZE = 10485760;  //日志文件空间
    public static int LOGGING_FILE_COUNT = 100; // 日志文件格式

    //Kairosdb address
    private static String KAIROSDB_HOST = "192.168.100.9";
    private static String KAIROSDB_PORT = "8080";
    public static String KAIROSDB_REST_ADDRESS = "http://" + KAIROSDB_HOST + ":" + KAIROSDB_PORT + "/api/v1/datapoints";

}
